local ChatAskAllianceGatherMessage = BaseClass("ChatAskAllianceGatherMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self, messageType)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.LWChatPinManager:HandlePinMsg(t)
  end
end
ChatAskAllianceGatherMessage.OnCreate = OnCreate
ChatAskAllianceGatherMessage.HandleMessage = HandleMessage
return ChatAskAllianceGatherMessage
